
DECLARE
   V_JOB NUMBER;
   V_INVALID NUMBER;
BEGIN
   SELECT COUNT(1) 
      INTO V_INVALID
   FROM USER_OBJECTS
   WHERE OBJECT_NAME = 'CONVERTE_FOTOPRATO_BLOB'
     AND STATUS = 'INVALID';
   IF V_INVALID = 0 THEN
      -- Apagar formato antigo de JOB
      FOR C_JOBS IN (SELECT JOB
                      FROM ALL_JOBS
                     WHERE WHAT LIKE '%CONVERTE_FOTOPRATO_BLOB%') LOOP
         DBMS_JOB.REMOVE(C_JOBS.JOB);
      END LOOP;
      --Verifica se o job ja existe
      SELECT COUNT(*) INTO V_JOB
      FROM USER_SCHEDULER_JOBS
      WHERE JOB_NAME = 'JOB_FOTOPRATO_BLOB';
      
      IF V_JOB > 0 THEN
         DBMS_SCHEDULER.DROP_JOB(JOB_NAME => 'JOB_FOTOPRATO_BLOB');
      END IF;

      DBMS_SCHEDULER.CREATE_JOB (
      JOB_NAME => 'JOB_FOTOPRATO_BLOB',
      JOB_TYPE => 'PLSQL_BLOCK',
      JOB_ACTION => 'BEGIN CONVERTE_FOTOPRATO_BLOB; COMMIT; END;',
      START_DATE => systimestamp,
      repeat_interval => 'FREQ=SECONDLY;INTERVAL=30',
      JOB_CLASS => '"DEFAULT_JOB_CLASS"',
      ENABLED => TRUE,
      AUTO_DROP => FALSE,
      COMMENTS => '');

      COMMIT;

   ELSE
      EXECUTE IMMEDIATE 'DROP PROCEDURE CONVERTE_FOTOPRATO_BLOB'; 
   END IF;
END; 
/