package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class ExclusaoDeCardapioPage extends PageBase {
    By clicaMenu = By.xpath("//*[@type = 'button']");
    By confirmaAcessoTela = By.xpath("//*[@class = 'navbar-brand zh-header-title has-header-info']");
    By clicaPlanejamento = By.xpath("//*[@class = 'menu-link']//*[contains(text(),'Planejamento')]");
    By clicaCardapio = By.xpath("/html/body/span/section/section/div[2]/section[1]/div/aside/div[2]/nav/ul/li[1]/ul/li[2]/ul/li[1]/span/span[3]");
    By clicaExclusaoCardapio = By.xpath("//ul[@class = 'sub-menu']//span[@class = 'menu-link']//span[contains(text(),'Exclusão de Cardápio')]");

    By agrupamentoUnidade = By.xpath("//div[@id = 'NMGRUPFILI']//span[@zh-icon='no-border search']");
    By selecionaAgrupamento = By.xpath("//div[@class = 'tr cell1']");
    By limpaAgrupamento = By.xpath("//div[@class = 'zh-select-multiple zh-select-autocomplete mousetrap zh-field-NMGRUPFILI zh-text-align-left']//span[@zh-icon= 'no-border close-x']");
    By lupaFiltro = By.xpath("//span[@class = 'action-icon search-action-icon zh-icon zh-icon-search zh-icon-no-border zh-icon-color-white']");
    By campoFilial = By.xpath("//div[@id = 'CDFILIAL']");
    By informaBusca = By.xpath("//input[@class = 'mousetrap zh-input-search-floating ng-pristine ng-valid ng-touched']");
    By selecionaBusca = By.xpath("//span[@data-ng-if='!row.__group']");
    By btnOk = By.xpath("//span[text() = 'Ok']");
    By checkBoxTodasUnidades = By.xpath("//label[@for = 'zh-checkbox-ALLCDFILIAL']//div[@class = 'zh-box mousetrap zh-ripple-effect']");
    By campoServico = By.xpath("//div[@id = 'CDSERVFILI']");
    By checkBoxTodosServicos = By.xpath("//label[@for = 'zh-checkbox-ALLCDSERVFILI']//div[@class = 'zh-box mousetrap zh-ripple-effect']");
    By limpaData = By.xpath("//div[@class = 'zh-select-multiple mousetrap zh-field-DTINTERVAL']//span[@zh-icon='no-border close-x']");
    By dtInicial = By.xpath("//input[@id = 'DTINTERVAL_START']");
    By dtFinal = By.xpath("//input[@id = 'DTINTERVAL_END']");
    By btnExcluirCardapio = By.xpath("//span[text() = 'Excluir Cardápio']");
    By confirmaExclusao = By.xpath("//button[@class = 'zh-alert-button horizontal']//span[text() = 'Sim']");
    By btnConfirmaMensagem = By.xpath("//button[@class = 'zh-alert-button']");
    By btnCancelar = By.xpath("//section[@class = 'popup-container']//div[@class = 'zh-footer-left']//li[@class = 'previous zh-ripple-effect']");


    public void navegaExclusaoCardapio(){
        waitForElement(confirmaAcessoTela);
        click(clicaMenu);
        click(clicaPlanejamento);
        click(clicaCardapio);
        click(clicaExclusaoCardapio);
        tempo();
        waitForElement(confirmaAcessoTela);

    }

    public void realizaFiltros(String DTINICIAL, String DTFINAL){
        click(agrupamentoUnidade);
        tempo();
        click(lupaFiltro);
        tempo();
        click(lupaFiltro);
        tempo();
        click(lupaFiltro);
        tempo();
        click(informaBusca);
        sendKeys(informaBusca,"0000000002");
        tempo();
        click(selecionaAgrupamento);
        tempo();
        click(campoFilial);
        click(lupaFiltro);
        click(lupaFiltro);
        click(informaBusca);
        sendKeys(informaBusca,"0002");
        tempo();
        click(selecionaBusca);
        click(btnOk);
        tempo();
        click(campoServico);
        tempo();
        click(lupaFiltro);
        click(lupaFiltro);
        click(informaBusca);
        sendKeys(informaBusca, "00002");
        tempo();
        click(selecionaBusca);
        click(btnOk);
        click(limpaData);
        preencheData(DTINICIAL,DTFINAL,dtInicial,dtFinal);
        click(btnExcluirCardapio);
        tempo();
        click(confirmaExclusao);
        tempo();
        click(btnConfirmaMensagem);
        tempo();
    }

    public void alteraFiltros(String DTINICIAL, String DTFINAL, String DTINIATU, String DTFIMATU){
        click(limpaData);
        preencheData(DTINICIAL,DTFINAL,dtInicial,dtFinal);
        click(btnExcluirCardapio);
        tempo();
        click(confirmaExclusao);
        tempo();
        click(btnCancelar);
        tempo();
        click(limpaAgrupamento);
        tempo();
        click(checkBoxTodasUnidades);
        tempo();
        click(checkBoxTodosServicos);
        tempo();
        preencheData(DTINIATU,DTFIMATU,dtInicial,dtFinal);
        tempo();
        click(btnExcluirCardapio);
        tempo();
        click(confirmaExclusao);
        tempo();
        click(btnConfirmaMensagem);
        tempo();

    }

}
